> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a refund bank account

> For NGN/GHS withdrawals in `refund_required`: resolves the account holder name for the account that should receive the refund.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/offramp/withdrawals/{id}/refund-details/verify
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/offramp/withdrawals/{id}/refund-details/verify:
    post:
      tags:
        - Off-ramp
      summary: Verify a refund bank account
      description: >-
        For NGN/GHS withdrawals in `refund_required`: resolves the account
        holder name for the account that should receive the refund.
      operationId: verifyOfframpRefundAccount
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - bankCode
                - accountNumber
              properties:
                bankCode:
                  type: string
                accountNumber:
                  type: string
      responses:
        '200':
          description: Resolved account
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      accountName:
                        type: string
                      bankName:
                        type: string
        '409':
          description: Not awaiting refund details
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.